Genuitec » All Posts https://www.genuitec.com/forums/topics/myeclipse/maven-for-myeclipse-maven4myeclipse/feed/ Sun, 25 Feb 2018 06:05:28 +0000 http://bbpress.org/?v=2.5.14-6684 en-US https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-546818 <![CDATA[Reply To: Maven projects with persistence.xml and Spring do not import cleanly.]]> https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-546818 Wed, 03 Jan 2018 11:34:31 +0000 support-swapna Tim,

Glad that it works. Thank you for getting back to us.
Please let us know if you see any other issues.

–Swapna
MyEclipse Support

]]>
https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-546805 <![CDATA[Reply To: Maven projects with persistence.xml and Spring do not import cleanly.]]> https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-546805 Tue, 02 Jan 2018 22:32:50 +0000 tvail I finally got a chance to upgrade this past Friday/Thursday. The JPA functionality is working for our projects. I’ve been able to enable the JPA Maven functionality again in our SDC.

Thanks a bunch,

-Tim

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544518 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544518 Tue, 05 Dec 2017 15:41:22 +0000 support-swapna Piergiorgio,

Attached is the zip containing the missing facet metadata files which you can copy into your project’s .settings folder.

Shut down MyEclipse and in the file system explorer unzip the contents of the attached zip into your project’s .settings folder (leave the rest of files as it is). Once done, start MyEclipse and check if the problem still exists.

If you are still seeing the issue, please clarify if you are seeing the problem in all the maven projects in the workspace. If possible, switch to a new workspace, check if the issue persists and send us the .log file located at workspace dir/.metadata/.log for further investigation.

Apologies for inconvenience caused. Please let us know how it works for you.

–Swapna
MyEclipse Support

Attachments:
You must be logged in to view attached files.
]]>
https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-544499 <![CDATA[Reply To: Maven projects with persistence.xml and Spring do not import cleanly.]]> https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-544499 Tue, 05 Dec 2017 12:25:31 +0000 djpittner Thanks for the followup. We had migrated our projects to Eclipse Oxygen in the meantime to work around the issue. I’m not sure if we will switch back, but if we do and continue to have problems we will let you know at that time.

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544455 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544455 Mon, 04 Dec 2017 13:32:48 +0000 Piergiorgio Lucidi

What version of MyEclipse are you coming from – in which this project worked fine?

MyEclipse CI 7 worked very well, starting from CI 8 I saw problems.

Did you modify the project properties or metadata yourself?

No.

Can you see your project listed in the Workspace Migration view? Window > Show View > General > Workspace Migration.

The view is empty, I didn’t see any project to migrate.

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544453 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544453 Mon, 04 Dec 2017 12:31:00 +0000 Brian Fernandes Piergiorgio,

What version of MyEclipse are you coming from – in which this project worked fine? It would appear that your project does not have enough metadata for Maven to work correctly – while the facet nature is present, the faceted project metadata is mostly missing from this project – so it looks like migration to a recent version was incorrectly performed. Did you modify the project properties or metadata yourself?

Can you see your project listed in the Workspace Migration view? Window > Show View > General > Workspace Migration. If so, please refresh the view and go through the migration steps. From the error log you attached before, there’s a chance it isn’t visible, in which case we’ll give you some manual steps to perform.

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544450 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544450 Mon, 04 Dec 2017 10:20:18 +0000 Piergiorgio Lucidi Hi Brian,

You mentioned both CI 8 and CI 9 in your title (CI 9 was released on Friday). Can you clarify what version you were on before you started experiencing issues – and did you run into this problem with both CI 8 and CI 9?

I started to have some issues from CI8 but it was usable, starting from CI9 I can’t use it.
I have attached a zip file with .settings and .project.

Thank you for your support.

Attachments:
You must be logged in to view attached files.
]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544449 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544449 Mon, 04 Dec 2017 09:56:11 +0000 Piergiorgio Lucidi I’m using macOS Sierra 10.12.6, trying to create a new web app project using the standard Maven archetype provided by Apache (maven-archetype-webapp):

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544448 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544448 Mon, 04 Dec 2017 09:52:32 +0000 Brian Fernandes Piergiorgio,

You mentioned both CI 8 and CI 9 in your title (CI 9 was released on Friday). Can you clarify what version you were on before you started experiencing issues – and did you run into this problem with both CI 8 and CI 9?

Can you zip-up the .settings folder as well as the .project folder of your project and send it to us? We’ll take a look right away and see if your project metadata is bad, causing this problem. Apologies for the inconvenience caused.

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544446 <![CDATA[Reply To: m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544446 Mon, 04 Dec 2017 09:43:37 +0000 Piergiorgio Lucidi It seems that the problem is related to facets, I can’t see the dialog for managing facets it is returning a black window with a NullPointerException:

]]>
https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544440 <![CDATA[m2e error for any Maven project on CI 8 and CI 9]]> https://www.genuitec.com/forums/topic/m2e-error-for-any-maven-project-on-ci-8-and-ci-9/#post-544440 Mon, 04 Dec 2017 08:21:58 +0000 Piergiorgio Lucidi Hi,

after the upgrade on CI 8 it seems that the m2e plugin started to return the following exception.
The problem here is that I have in MyEclipse, after the Maven Update project feature the popup with the NullPointException alert that is very annoying.

I have to use Maven from bash because for some project I can’t

The strange thing is that for any Maven project I have a similar exception and I don’t understand what is the real cause. From a Java point of view I should have any configuration correctly set.

Could you please support me?
Thank you.

]]>
https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-544303 <![CDATA[Reply To: Maven projects with persistence.xml and Spring do not import cleanly.]]> https://www.genuitec.com/forums/topic/maven-projects-with-persistence-xml-and-spring-do-not-import-cleanly/#post-544303 Fri, 01 Dec 2017 07:26:05 +0000 support-swapna Tim/Douglas,

MyEclipse 2017 CI 9 is out with the fix for the maven project import problem. Please update to CI 9 from Help > Check for Updates and let us know how it works for you.

Thank you for your patience.

–Swapna
MyEclipse Support

]]>
https://www.genuitec.com/forums/topic/pom-error-on-resource-section-cannot-install-web-fragment-module-3-0/#post-543781 <![CDATA[Reply To: POM Error on resource section Cannot install Web Fragment Module 3.0]]> https://www.genuitec.com/forums/topic/pom-error-on-resource-section-cannot-install-web-fragment-module-3-0/#post-543781 Fri, 24 Nov 2017 18:02:35 +0000 support-swapna gandalf,

Sorry that you are seeing this issue.

Can you please let us know what is the version of Dynamic Web Module of the project? Right click on the project > Properties > Project Facets and let us know the Dynamic Web Module facet version.

I see that you have reported similar problem earlier : https://www.genuitec.com/forums/topic/maven-web-fragment-module-facet-problem/

Is it the same project you are seeing the error again now? Did you get a chance to try Tony’s suggestion posted in the above thread and if yes, did it help?

If it is a different project, then please share with us the complete pom.xml and the project’s metadata, i.e .project file and the .settings folder under the project folder for further investigation.

Apologies for inconvenience caused.

–Swapna
MyEclipse Support

]]>
https://www.genuitec.com/forums/topic/pom-error-on-resource-section-cannot-install-web-fragment-module-3-0/#post-543743 <![CDATA[POM Error on resource section Cannot install Web Fragment Module 3.0]]> https://www.genuitec.com/forums/topic/pom-error-on-resource-section-cannot-install-web-fragment-module-3-0/#post-543743 Fri, 24 Nov 2017 06:33:34 +0000 gandalf902002 Hi,
In my pom I use

but Myeclispe Version: 2017 CI 8 Build id: 15.0.1-20170912 on Windows 10 show me

Description Resource Path Location Type
Cannot install Web Fragment Module 3.0 facet. It is incompatibile with already installed facets: Dynamic Web Module 2.4. Please modify project configuration. pom.xml /xxxxxxx line 140 Maven Java EE Configuration Problem

but If I use / launch Maven from CLI all works without no problem then it’s seem a IDE bug.

After one day of work to not show this error in the IDE I modify the section of the POM with :

I forced to add targetPath istruction to have the files in the right directory but the error not showed without this parameter too then the problem seem to be the directory value.
This is not the best thing to have in my POM …

Is there another way to fix it using a a the first version of pom ?

Thank you

]]>
https://www.genuitec.com/forums/topic/could-not-resolve-archetype-when-creating-a-maven-project/#post-543240 <![CDATA[Reply To: Could not resolve archetype when creating a Maven Project]]> https://www.genuitec.com/forums/topic/could-not-resolve-archetype-when-creating-a-maven-project/#post-543240 Mon, 20 Nov 2017 17:50:43 +0000 support-swapna Haritha,

Sorry that you are seeing this issue.

1. Can you please clarify if you have set up Network Connections (Window > Preferences > General > Network Connections) in MyEclipse IDE?

2. Can you please go to Window>Preferences>MyEclipse>Maven4MyEclipse>User Settings and check if it points to the correct settings.xml?

3. Can you please check if you can access the repo from your browser? If the proxy settings are right in the settings.xml, then please right click on the maven project > Maven > Update Project and check the option “Force update of Snapshots/Releases”.

4. If the issue persists, then do a Maven clean and install the project and check. Also share with us the MyEclipse version details you are working with.

Please let us know how it works for you.

–Swapna
MyEclipse Support

]]>